import { jsx } from "react/jsx-runtime";
import { TokenCNG as TokenCNG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCNG = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "CNG", "data-name": "TokenCNG", ...props, children: /* @__PURE__ */ jsx(TokenCNG$1, { variant }) });
  }
);
TokenCNG.displayName = "TokenCNG";
Object.assign(TokenCNG, { isGdsIcon: true });
export {
  TokenCNG
};
